=== debian/control ===
Source: ros-melodic-gtest
Section: misc
Priority: optional
Maintainer: Levi Armstrong <levi.armstrong@swri.org>
Build-Depends: debhelper (>= 9.0.0), git
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-gtest
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: Gtest Package
